Name: portlibfori
Version: 0.12.0
Release: 2
License: MIT
Summary: IBM i utility libraries
Url: https://github.com/IBM/portlibfori

Source0: https://github.com/IBM/portlibfori/releases/download/%{version}/%{name}-%{version}.tar.gz

%description
Provides various functions for PASE which are not provided by the AIX runtime.

%package -n libutil2
Summary: libutil library
License: BSD

%description -n libutil2
Provides various functions available on Linux, BSD, etc which are not provided by the AIX runtime.


%package -n libutil-devel
Summary: libutil development files
Requires: libutil2 = %{version}-%{release}

%description -n libutil-devel
libutil development files

%package -n libiperf1
Summary: libiperf library
License: MIT

%description -n libiperf1
IBM i performance statistics library, modeled after AIX's libperfstat.

%package -n libiperf-devel
Summary: libiperf development files
Requires: libiperf1 = %{version}-%{release}

%description -n libiperf-devel
libiperf development files


%prep
%setup -q


%build

%make_build LDFLAGS='-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib'


%install

%make_install PREFIX=%{_prefix}


%files -n libutil2
%defattr(-, qsys, *none)

%{_libdir}/libutil.so.2

%files -n libutil-devel
%defattr(-, qsys, *none)

%{_libdir}/libutil.so

%{_includedir}/getopt.h
%{_includedir}/pty.h
%{_includedir}/execinfo.h
%{_includedir}/sys/file.h
%{_includedir}/stdio.h
%{_includedir}/err.h
%{_includedir}/unistd.h
%{_includedir}/stdlib.h

%files -n libiperf1
%defattr(-, qsys, *none)

%{_libdir}/libiperf.so.1


%files -n libiperf-devel
%defattr(-, qsys, *none)

%{_libdir}/libiperf.so

%{_includedir}/libiperf.h

%changelog
* Thu Feb 10 2022 Mark Irish <markdirish@gmail.com> - 0.12.0
- Update to version 0.12

* Wed Dec 01 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 0.11.0
- Update to 0.11.1 for isatty

* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 0.10.0
- Intra-package Requires need version and release

* Mon Feb 01 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 0.10.0
- Update to 0.10.0 for err, warn, and friends

* Fri Oct 16 2020 Naveen Ram <naveen.ram@ibm.com> - 0.9.1
- Update to 0.9.1 for asprintf()

* Mon Jun 08 2020 Kevin Adler <kadler@us.ibm.com> - 0.8.1
- Fix for segfault calling backtrace from a thread

* Tue May 05 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 0.8.0
- Update to 0.8.0 for backtrace_symbols_fd()

* Mon Mar 02 2020 Kevin Adler <kadler@us.ibm.com> - 0.7.0
- Update to 0.7.0 for flock()

* Wed Dec 18 2019 Kevin Adler <kadler@us.ibm.com> - 0.6.3
- Upgrade to 0.6.3 to fix getopt_long output bug

* Fri Nov 01 2019 Kevin Adler <kadler@us.ibm.com> - 0.6.2
- Bump to 0.6.2 to fix bug in login_tty affecting Jupyter

* Thu Mar 14 2019 - Kevin Adler <kadler@us.ibm.com>
- bump libutil to 0.6 for new build system, sover bump
  to fix errant symbol problem
- add libiperf

* Wed Jan 09 2019 - Kevin Adler <kadler@us.ibm.com>
- Revert libutil to fix packages broken by removal
  of errant exported symbols: bcopy, memcpy, strcpy

* Wed Jan 09 2019 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- bump to v0.5 for updated execinfo.h

* Tue Jan 08 2019 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- wildcard files specs for new features

* Tue Jan 08 2019 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- change to .gz for source file

* Tue Jan 08 2019 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- bump version to 0.4 for backtrace

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Bump libutil to 0.3 for mkdtemp

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Update libutil build
